libzypp 17.37.10

RepoManagerFlags.h File Reference
`#include <zypp-core/base/Flags.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::RepoManagerFlags

## Typedefs
using | zypp::RepoManagerFlags::RefreshServiceOptions = RefreshServiceFlags
| Options tuning RefreshService.

## Enumerations
enum | zypp::RepoManagerFlags::RawMetadataRefreshPolicy { zypp::RepoManagerFlags::RefreshIfNeeded , zypp::RepoManagerFlags::RefreshForced , zypp::RepoManagerFlags::RefreshIfNeededIgnoreDelay }
enum | zypp::RepoManagerFlags::CacheBuildPolicy { zypp::RepoManagerFlags::BuildIfNeeded , zypp::RepoManagerFlags::BuildForced }
enum | zypp::RepoManagerFlags::RefreshServiceBit { zypp::RepoManagerFlags::RefreshService_restoreStatus = (1<<0) , zypp::RepoManagerFlags::RefreshService_forceRefresh = (1<<1) }
| Flags for tuning RefreshService. More...
enum | zypp::RepoManagerFlags::RefreshCheckStatus { zypp::RepoManagerFlags::REFRESH_NEEDED , zypp::RepoManagerFlags::REPO_UP_TO_DATE , zypp::RepoManagerFlags::REPO_CHECK_DELAYED }
| Possibly return state of RepoManager::checkIfToRefreshMetadata function. More...

## Functions
| zypp::RepoManagerFlags::ZYPP_DECLARE_FLAGS (RefreshServiceFlags, RefreshServiceBit)
| zypp::ZYPP_DECLARE_OPERATORS_FOR_FLAGS (RepoManagerFlags::RefreshServiceFlags)